org.wildfly.swarm.config

## Class JMX.JMXResources

- java.lang.Object
- - org.wildfly.swarm.config.JMX.JMXResources

- Enclosing class:
    JMX<T extends JMX<T>>

      public static class JMX.JMXResources
      extends Object

  Child mutators for JMX

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditLogConfiguration` | `auditLogConfiguration()` The management audit logging top-level resource.
    `ExpressionExposeModel` | `expressionExposeModel()` The configuration for exposing the 'expression' model controller in the MBeanServer.
    `JMXRemotingConnector` | `jmxRemotingConnector()` A JBoss remoting connector for the JMX subsystem.
    `ResolvedExposeModel` | `resolvedExposeModel()` The configuration for exposing the 'resolved' model controller in the MBeanServer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXResources

          public JMXResources()

  - ### Method Detail

    - #### resolvedExposeModel

          public ResolvedExposeModel resolvedExposeModel()

      The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

    - #### auditLogConfiguration

          public AuditLogConfiguration auditLogConfiguration()

      The management audit logging top-level resource.

    - #### jmxRemotingConnector

          public JMXRemotingConnector jmxRemotingConnector()

      A JBoss remoting connector for the JMX subsystem.

    - #### expressionExposeModel

          public ExpressionExposeModel expressionExposeModel()

      The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

Copyright © 2017 JBoss by Red Hat. All rights reserved.